@if (viewService.componentData$ | async; as componentData) {
  @if (isExploratorySessionOverview()) {
    <div
      nz-tooltip
      [nzTooltipTitle]="
        'sqtm-core.campaign-workspace.test-plan-execution.access-session'
          | translate
      "
      [nzTooltipPlacement]="'left'"
      class="full-height full-width flex-column icon-container"
      [attr.data-test-button-id]="'access-session-overview'"
      (click)="accessSessionOverview()"
    >
      <i
        nz-icon
        nzType="sqtm-core-campaign:play"
        nzTheme="outline"
        class="table-icon-size current-workspace-button"
      ></i>
    </div>
  } @else {
    <div
      class="full-height full-width flex-column icon-container"
      [attr.data-test-button-id]="'startExecution'"
      (click)="openExecutionMenu()"
      nz-popover
      [nzPopoverVisible]="menuVisible$ | async"
      [nzPopoverContent]="contentTemplate"
      [nzPopoverTrigger]="'click'"
      [nzPopoverPlacement]="'left'"
    >
      <i
        nz-icon
        nzType="sqtm-core-campaign:play"
        nzTheme="outline"
        class="table-icon-size current-workspace-button"
      ></i>
    </div>
  }
  <ng-template #contentTemplate>
    <div [attr.data-test-menu-item-id]="'play-exec'">
      @if (row.data.inferredExecutionMode === 'AUTOMATED') {
        <a
          class="launch-execution-link"
          (click)="startAutomatedExecution(componentData)"
          [class.disabled]="!(canExecute(componentData) | async)"
          [attr.data-test-link-id]="'automated-execution'"
        >
          {{
            'sqtm-core.campaign-workspace.test-plan.launch-execution.automated'
              | translate
          }}
        </a>
      }
      <a
        class="launch-execution-link"
        (click)="startExecutionInDialog(componentData)"
        [class.disabled]="!(canExecute(componentData) | async)"
        [attr.data-test-link-id]="'popup-manual-execution'"
      >
        {{
          'sqtm-core.campaign-workspace.test-plan.launch-execution.manual'
            | translate
        }}</a
      >
      <a
        class="launch-execution-link"
        [attr.data-test-link-id]="'manual-execution'"
        [class.disabled]="!(canExecute(componentData) | async)"
        (click)="startExecutionInPage(componentData)"
        >{{
          'sqtm-core.campaign-workspace.test-plan.launch-execution.page'
            | translate
        }}</a
      >
      <a
        class="launch-execution-link"
        [attr.data-test-link-id]="'show-execution-history'"
        (click)="displayExecutionHistory()"
        >{{
          'sqtm-core.campaign-workspace.test-plan.launch-execution.history'
            | translate
        }}</a
      >
    </div>
  </ng-template>
}
